cURL
curl --request GET \ --url https://api.venlyfinance.com/v1/accounts/{accountId}/wallets/{walletId} \ --header 'Authorization: Bearer <token>'
{ "success": true, "result": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "chain": "AVALANCHE", "address": "<string>", "status": "ACTIVE", "balances": [ { "token": "USDC", "balance": "<string>", "availableBalance": "<string>", "pendingBalance": "<string>" } ] } }
Documentation IndexFetch the complete documentation index at: https://docs.venlyfinance.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.venlyfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
OAuth2 client credentials flow. Token endpoints:
Wallet details
Indicates whether the request was successful
Show child attributes
Was this page helpful?